Bug 215712 - rpm shows error twice
rpm shows error twice
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rpm (Show other bugs)
5.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Panu Matilainen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-15 06:32 EST by Bastien Nocera
Modified: 2010-10-22 02:57 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2008-0367
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 10:28:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2006-11-15 06:32:42 EST
rpm-4.4.2-33.el5

$ rpm -qp foobar
error: open of foobar failed: No such file or directory
error: open of foobar failed: No such file or directory

Expected:
$ rpm -qp foobar
error: open of foobar failed: No such file or directory
Comment 1 RHEL Product and Program Management 2006-11-15 06:40:23 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 Jeff Johnson 2006-11-18 11:15:05 EST
UPSTREAM
Index: lib/rpmgi.c
===============================================================
====
RCS file: /cvs/devel/rpm/lib/rpmgi.c,v
retrieving revision 2.23.2.12
diff -u -b -B -w -p -r2.23.2.12 rpmgi.c
--- lib/rpmgi.c 8 Oct 2006 21:41:45 -0000       2.23.2.12
+++ lib/rpmgi.c 18 Nov 2006 16:13:03 -0000
@@ -204,6 +204,8 @@ static rpmRC rpmgiLoadReadHeader(rpmgi g

        if (rpmrc == RPMRC_OK || gi->flags & RPMGI_NOMANIFEST)
            break;
+       if (errno == ENOENT)
+           break;

        /* Not a header, so try for a manifest. */
        gi->argv[gi->i] = NULL;         /* Mark the insertion point */
Comment 11 errata-xmlrpc 2008-05-21 10:28:04 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0367.html

Note You need to log in before you can comment on or make changes to this bug.